<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2022 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: nivo_slider_panel.php
| Version: 1.01
| Author: PHP-Fusion Mods UK
| Developer: Craig 
| Site: http://www.phpfusionmods.co.uk
| Nivo Slider Panel
| Version: 4.01
| Transcribed: Superboyka
| Email: superboyka@gmail.com 
| For: Php Fusion v. 9.xxxxx
+--------------------------------------------------------+
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
|
+--------------------------------------------------------+
| jQuery Nivo Slider v3.2
| http://nivo.dev7studios.com
|
| Copyright 2012, Dev7studios
| Free to use and abuse under the MIT license.
| http://www.opensource.org/licenses/mit-license.php
+--------------------------------------------------------*/

defined('IN_FUSION') || exit;

$nivo_slider_infused_check = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='nivo_slider_panel'");

if (dbrows($nivo_slider_infused_check) > 0) {

$locale = fusion_get_locale("", NIVO_LOCALE);

$nivo_slider_settings = dbarray(dbquery("SELECT * FROM ".DB_NIVO_SLIDER_SETTINGS));
include INFUSIONS."nivo_slider_panel/includes/scripts.php";


$result = dbquery("SELECT * FROM ".DB_NIVO_SLIDER." WHERE slider_image !='' ORDER BY slider_id ASC");

$rows = dbcount("(slider_id)", DB_NIVO_SLIDER);

	if ($rows) {
	if ($nivo_slider_settings['panel_cap'] == 1) { opentable(($nivo_slider_settings['panel_cap_title'] !=="" ? stripinput($nivo_slider_settings['panel_cap_title']) : $locale['inf_title'])); }
	
if($nivo_slider_settings['slider_theme']=="0") {
		echo "<div class='slider-wrapper theme-default'>";
		}elseif($nivo_slider_settings['slider_theme']=="1") {
		echo "<div class='slider-wrapper theme-light'>";
	}if($nivo_slider_settings['slider_theme']=="2") {
	echo "<div class='slider-wrapper theme-bar'>";
	}elseif($nivo_slider_settings['slider_theme']=="3") {
	echo "<div class='slider-wrapper theme-dark'>";
	}
	echo"<div id='slider' class='nivoSlider'>";
	while($data = dbarray($result)) {
		echo($data['slider_url'] !=="" ? "<a href='".$data['slider_url']."'><img src='".NIVO_PATH."images/slides/".$data['slider_image']."' alt='' title='".$data['slider_caption']."' /></a>" : "<img src='".NIVO_PATH."images/slides/".$data['slider_image']."' alt='' title='".$data['slider_caption']."' />");
	}
	echo"</div>\n</div>\n
	<div id='htmlcaption' class='nivo-html-caption'>
	</div>\n";
	if ($nivo_slider_settings['panel_cap'] == 1) { closetable(); }
	}
}

