<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2022 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones (Digitanium)
| Developer: Craig 
| Site: http://www.phpfusionmods.co.uk
| Nivo Slider Panel
| Version: 4.01
| Transcribed: Superboyka
| Email: superboyka@gmail.com 
| For: Php Fusion v. 9.xxxxx
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+*/
defined('IN_FUSION') || exit;
$locale = fusion_get_locale("", NIVO_LOCALE);
$inf_title = $locale['inf_title'];
$inf_version = "4.01";
$inf_developer = "Craig n superboyka";
$inf_weburl = "http://www.phpfusionmods.co.uk";
$inf_email = "superboyka@gmail.com";
$inf_folder = "nivo_slider_panel";
$inf_description = $locale['inf_desc'];
$inf_image = "members.svg";
$inf_newtable[] = DB_NIVO_SLIDER." (
  slider_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  slider_image VARCHAR(100) NOT NULL DEFAULT '',
  slider_url VARCHAR(100) NOT NULL DEFAULT '',
  slider_caption VARCHAR(100) NOT NULL DEFAULT '',
  PRIMARY KEY  (slider_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";
$inf_newtable[] = DB_NIVO_SLIDER_SETTINGS." (
panel_cap TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
panel_cap_title VARCHAR(65) NOT NULL DEFAULT '',
slider_effects TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
slider_pausetime TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
slider_theme TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (panel_cap)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";
$inf_mlt[] = [
    'title'  => "Nivo Slider",
    'rights' => "NIVO"
];
$inf_insertdbrow[] = DB_NIVO_SLIDER." (slider_id, slider_image, slider_url, slider_caption)VALUES ( 'slider_id', 'slider_image', 'slider_url', 'slider_caption')";
$inf_insertdbrow[] = DB_NIVO_SLIDER_SETTINGS." (panel_cap, panel_cap_title, slider_effects, slider_pausetime, slider_theme) VALUES ('1', '".$locale['inf_title']."', '0', '0', '0')";
$inf_droptable[] = DB_NIVO_SLIDER;
$inf_droptable[] = DB_NIVO_SLIDER_SETTINGS;
$inf_insertdbrow[] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES('".$inf_title."', '".$inf_folder."', '', '2', '2', 'file', '0', '1', '1', '".fusion_get_settings('opening_page')."', '2', '".fusion_get_settings('enabled_languages')."')";
// Multilanguage links
$enabled_languages = makefilelist(LOCALE, ".|..", TRUE, "folders");
if (!empty($enabled_languages)) {
    foreach ($enabled_languages as $language) {
        if (file_exists(NIVO_PATH.'locale/'.$language.'/nivo.php')) {
            include NIVO_PATH.'locale/'.$language.'/nivo.php';
        } else {
            include NIVO_PATH.'locale/English/nivo.php';
        }

        $mlt_adminpanel[$language][] = [
            "rights"   => "NIVO",
            "image"    => $inf_image,
            "title"    => "Nivo Slider",
            "panel"    => "nivo_slider.php",
            "page"     => 5,
            'language' => $language
        ];

        // Delete
        $mlt_deldbrow[$language][] = DB_ADMIN." WHERE admin_rights = 'NIVO' AND admin_language = '".$language."'";
    }
} else {
    $inf_adminpanel[] = [
        "rights"   => "NIVO",
        "image"    => $inf_image,
        "title"    => "Nivo Slider",
        "panel"    => "nivo_slider.php",
        "page"     => 5,
        'language' => LANGUAGE
    ];
}

$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights = 'NIVO'";
$inf_deldbrow[] = DB_PANELS." WHERE panel_filename = '".$inf_folder."'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES." WHERE mlt_rights = 'NIVO'";

