<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2022 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: Nick Jones (Digitanium)
| Developer: Craig 
| Site: http://www.phpfusionmods.co.uk
| Nivo Slider Panel
| Version: 4.01
| Transcribed: Superboyka
| Email: superboyka@gmail.com 
| For: Php Fusion v. 9.xxxxx
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+*/
defined('IN_FUSION') || exit;

if (!defined("DB_NIVO_SLIDER")) {
    define("DB_NIVO_SLIDER", DB_PREFIX."nivo_slider");
}
if (!defined("DB_NIVO_SLIDER_SETTINGS")) {
    define("DB_NIVO_SLIDER_SETTINGS", DB_PREFIX."nivo_slider_settings");
}


if (!defined("NIVO_PATH")) {
    define("NIVO_PATH", INFUSIONS."nivo_slider_panel/");
}
if (!defined("NIVO_LOCALE")) {
    if (file_exists(NIVO_PATH."locale/".LOCALESET."nivo.php")) {
        define("NIVO_LOCALE", NIVO_PATH."locale/".LOCALESET."nivo.php" );
    } else {
        define("NIVO_LOCALE", NIVO_PATH."locale/Hungarian/nivo.php" );
    }
}